## net.sf.saxon.trace
Class XSLTTraceListener

    java.lang.Object
      |
      +--net.sf.saxon.trace.AbstractTraceListener
            |
            +--net.sf.saxon.trace.XSLTTraceListener

All Implemented Interfaces:
  java.util.EventListener, TraceListener

public class XSLTTraceListener
extends AbstractTraceListener

A Simple trace listener for XSLT that writes messages (by default) to System.err

Constructor Summary
`XSLTTraceListener()`

Method Summary
`protected java.lang.String` `getOpeningAttributes()` Generate attributes to be included in the opening trace element
`protected java.lang.String` `tag(int construct)` Get the trace element tagname to be used for a particular construct.

Methods inherited from class net.sf.saxon.trace.AbstractTraceListener
`close, endCurrentItem, enter, escape, getOutputDestination, leave, open, setOutputDestination, startCurrentItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTTraceListener

    public XSLTTraceListener()

Method Detail

### getOpeningAttributes

    protected java.lang.String getOpeningAttributes()

  Generate attributes to be included in the opening trace element

  Specified by:
    `getOpeningAttributes` in class `AbstractTraceListener`

### tag

    protected java.lang.String tag(int construct)

  Get the trace element tagname to be used for a particular construct. Return null for trace events that are ignored by this trace listener.

  Specified by:
    `tag` in class `AbstractTraceListener`